longrun.
List webhook delivery attempts

Docs

Runs / List webhook delivery attempts

List webhook delivery attempts

Inspect webhook delivery attempts for a run.

GEThttps://uselongrun.app/v1/runs/{run_id}/webhook-attempts
Request
curl --request GET "https://uselongrun.app/v1/runs/${RUN_ID}/webhook-attempts" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

path
idstringRequired

The run ID to use. Copy the id returned when you submitted the run, or from Runs. This is not a file ID. Replace {id} in the URL with that value.

Example
"${RUN_ID}"

Returns

Returns HTTP 200.

items[].attemptinteger
items[].started_atstring
items[].ended_atstringnull
items[].status_codeintegernull
items[].error_codestringnull
items[].event_idstring
items[].connection_idstring
items[].delivery_statusstring
items[].namestring